import { S3Client } from "./S3Client";
import { AbortMultipartUploadInput } from "./types/AbortMultipartUploadInput";
import { AbortMultipartUploadOutput } from "./types/AbortMultipartUploadOutput";
import { CompleteMultipartUploadInput } from "./types/CompleteMultipartUploadInput";
import { CompleteMultipartUploadOutput } from "./types/CompleteMultipartUploadOutput";
import { CopyObjectInput } from "./types/CopyObjectInput";
import { CopyObjectOutput } from "./types/CopyObjectOutput";
import { CreateBucketInput } from "./types/CreateBucketInput";
import { CreateBucketOutput } from "./types/CreateBucketOutput";
import { CreateMultipartUploadInput } from "./types/CreateMultipartUploadInput";
import { CreateMultipartUploadOutput } from "./types/CreateMultipartUploadOutput";
import { DeleteBucketAnalyticsConfigurationInput } from "./types/DeleteBucketAnalyticsConfigurationInput";
import { DeleteBucketAnalyticsConfigurationOutput } from "./types/DeleteBucketAnalyticsConfigurationOutput";
import { DeleteBucketCorsInput } from "./types/DeleteBucketCorsInput";
import { DeleteBucketCorsOutput } from "./types/DeleteBucketCorsOutput";
import { DeleteBucketEncryptionInput } from "./types/DeleteBucketEncryptionInput";
import { DeleteBucketEncryptionOutput } from "./types/DeleteBucketEncryptionOutput";
import { DeleteBucketInput } from "./types/DeleteBucketInput";
import { DeleteBucketInventoryConfigurationInput } from "./types/DeleteBucketInventoryConfigurationInput";
import { DeleteBucketInventoryConfigurationOutput } from "./types/DeleteBucketInventoryConfigurationOutput";
import { DeleteBucketLifecycleInput } from "./types/DeleteBucketLifecycleInput";
import { DeleteBucketLifecycleOutput } from "./types/DeleteBucketLifecycleOutput";
import { DeleteBucketMetricsConfigurationInput } from "./types/DeleteBucketMetricsConfigurationInput";
import { DeleteBucketMetricsConfigurationOutput } from "./types/DeleteBucketMetricsConfigurationOutput";
import { DeleteBucketOutput } from "./types/DeleteBucketOutput";
import { DeleteBucketPolicyInput } from "./types/DeleteBucketPolicyInput";
import { DeleteBucketPolicyOutput } from "./types/DeleteBucketPolicyOutput";
import { DeleteBucketReplicationInput } from "./types/DeleteBucketReplicationInput";
import { DeleteBucketReplicationOutput } from "./types/DeleteBucketReplicationOutput";
import { DeleteBucketTaggingInput } from "./types/DeleteBucketTaggingInput";
import { DeleteBucketTaggingOutput } from "./types/DeleteBucketTaggingOutput";
import { DeleteBucketWebsiteInput } from "./types/DeleteBucketWebsiteInput";
import { DeleteBucketWebsiteOutput } from "./types/DeleteBucketWebsiteOutput";
import { DeleteObjectInput } from "./types/DeleteObjectInput";
import { DeleteObjectOutput } from "./types/DeleteObjectOutput";
import { DeleteObjectTaggingInput } from "./types/DeleteObjectTaggingInput";
import { DeleteObjectTaggingOutput } from "./types/DeleteObjectTaggingOutput";
import { DeleteObjectsInput } from "./types/DeleteObjectsInput";
import { DeleteObjectsOutput } from "./types/DeleteObjectsOutput";
import { GetBucketAccelerateConfigurationInput } from "./types/GetBucketAccelerateConfigurationInput";
import { GetBucketAccelerateConfigurationOutput } from "./types/GetBucketAccelerateConfigurationOutput";
import { GetBucketAclInput } from "./types/GetBucketAclInput";
import { GetBucketAclOutput } from "./types/GetBucketAclOutput";
import { GetBucketAnalyticsConfigurationInput } from "./types/GetBucketAnalyticsConfigurationInput";
import { GetBucketAnalyticsConfigurationOutput } from "./types/GetBucketAnalyticsConfigurationOutput";
import { GetBucketCorsInput } from "./types/GetBucketCorsInput";
import { GetBucketCorsOutput } from "./types/GetBucketCorsOutput";
import { GetBucketEncryptionInput } from "./types/GetBucketEncryptionInput";
import { GetBucketEncryptionOutput } from "./types/GetBucketEncryptionOutput";
import { GetBucketInventoryConfigurationInput } from "./types/GetBucketInventoryConfigurationInput";
import { GetBucketInventoryConfigurationOutput } from "./types/GetBucketInventoryConfigurationOutput";
import { GetBucketLifecycleConfigurationInput } from "./types/GetBucketLifecycleConfigurationInput";
import { GetBucketLifecycleConfigurationOutput } from "./types/GetBucketLifecycleConfigurationOutput";
import { GetBucketLifecycleInput } from "./types/GetBucketLifecycleInput";
import { GetBucketLifecycleOutput } from "./types/GetBucketLifecycleOutput";
import { GetBucketLocationInput } from "./types/GetBucketLocationInput";
import { GetBucketLocationOutput } from "./types/GetBucketLocationOutput";
import { GetBucketLoggingInput } from "./types/GetBucketLoggingInput";
import { GetBucketLoggingOutput } from "./types/GetBucketLoggingOutput";
import { GetBucketMetricsConfigurationInput } from "./types/GetBucketMetricsConfigurationInput";
import { GetBucketMetricsConfigurationOutput } from "./types/GetBucketMetricsConfigurationOutput";
import { GetBucketNotificationConfigurationInput } from "./types/GetBucketNotificationConfigurationInput";
import { GetBucketNotificationConfigurationOutput } from "./types/GetBucketNotificationConfigurationOutput";
import { GetBucketNotificationInput } from "./types/GetBucketNotificationInput";
import { GetBucketNotificationOutput } from "./types/GetBucketNotificationOutput";
import { GetBucketPolicyInput } from "./types/GetBucketPolicyInput";
import { GetBucketPolicyOutput } from "./types/GetBucketPolicyOutput";
import { GetBucketReplicationInput } from "./types/GetBucketReplicationInput";
import { GetBucketReplicationOutput } from "./types/GetBucketReplicationOutput";
import { GetBucketRequestPaymentInput } from "./types/GetBucketRequestPaymentInput";
import { GetBucketRequestPaymentOutput } from "./types/GetBucketRequestPaymentOutput";
import { GetBucketTaggingInput } from "./types/GetBucketTaggingInput";
import { GetBucketTaggingOutput } from "./types/GetBucketTaggingOutput";
import { GetBucketVersioningInput } from "./types/GetBucketVersioningInput";
import { GetBucketVersioningOutput } from "./types/GetBucketVersioningOutput";
import { GetBucketWebsiteInput } from "./types/GetBucketWebsiteInput";
import { GetBucketWebsiteOutput } from "./types/GetBucketWebsiteOutput";
import { GetObjectAclInput } from "./types/GetObjectAclInput";
import { GetObjectAclOutput } from "./types/GetObjectAclOutput";
import { GetObjectInput } from "./types/GetObjectInput";
import { GetObjectOutput } from "./types/GetObjectOutput";
import { GetObjectTaggingInput } from "./types/GetObjectTaggingInput";
import { GetObjectTaggingOutput } from "./types/GetObjectTaggingOutput";
import { GetObjectTorrentInput } from "./types/GetObjectTorrentInput";
import { GetObjectTorrentOutput } from "./types/GetObjectTorrentOutput";
import { HeadBucketInput } from "./types/HeadBucketInput";
import { HeadBucketOutput } from "./types/HeadBucketOutput";
import { HeadObjectInput } from "./types/HeadObjectInput";
import { HeadObjectOutput } from "./types/HeadObjectOutput";
import { ListBucketAnalyticsConfigurationsInput } from "./types/ListBucketAnalyticsConfigurationsInput";
import { ListBucketAnalyticsConfigurationsOutput } from "./types/ListBucketAnalyticsConfigurationsOutput";
import { ListBucketInventoryConfigurationsInput } from "./types/ListBucketInventoryConfigurationsInput";
import { ListBucketInventoryConfigurationsOutput } from "./types/ListBucketInventoryConfigurationsOutput";
import { ListBucketMetricsConfigurationsInput } from "./types/ListBucketMetricsConfigurationsInput";
import { ListBucketMetricsConfigurationsOutput } from "./types/ListBucketMetricsConfigurationsOutput";
import { ListBucketsInput } from "./types/ListBucketsInput";
import { ListBucketsOutput } from "./types/ListBucketsOutput";
import { ListMultipartUploadsInput } from "./types/ListMultipartUploadsInput";
import { ListMultipartUploadsOutput } from "./types/ListMultipartUploadsOutput";
import { ListObjectVersionsInput } from "./types/ListObjectVersionsInput";
import { ListObjectVersionsOutput } from "./types/ListObjectVersionsOutput";
import { ListObjectsInput } from "./types/ListObjectsInput";
import { ListObjectsOutput } from "./types/ListObjectsOutput";
import { ListObjectsV2Input } from "./types/ListObjectsV2Input";
import { ListObjectsV2Output } from "./types/ListObjectsV2Output";
import { ListPartsInput } from "./types/ListPartsInput";
import { ListPartsOutput } from "./types/ListPartsOutput";
import { PutBucketAccelerateConfigurationInput } from "./types/PutBucketAccelerateConfigurationInput";
import { PutBucketAccelerateConfigurationOutput } from "./types/PutBucketAccelerateConfigurationOutput";
import { PutBucketAclInput } from "./types/PutBucketAclInput";
import { PutBucketAclOutput } from "./types/PutBucketAclOutput";
import { PutBucketAnalyticsConfigurationInput } from "./types/PutBucketAnalyticsConfigurationInput";
import { PutBucketAnalyticsConfigurationOutput } from "./types/PutBucketAnalyticsConfigurationOutput";
import { PutBucketCorsInput } from "./types/PutBucketCorsInput";
import { PutBucketCorsOutput } from "./types/PutBucketCorsOutput";
import { PutBucketEncryptionInput } from "./types/PutBucketEncryptionInput";
import { PutBucketEncryptionOutput } from "./types/PutBucketEncryptionOutput";
import { PutBucketInventoryConfigurationInput } from "./types/PutBucketInventoryConfigurationInput";
import { PutBucketInventoryConfigurationOutput } from "./types/PutBucketInventoryConfigurationOutput";
import { PutBucketLifecycleConfigurationInput } from "./types/PutBucketLifecycleConfigurationInput";
import { PutBucketLifecycleConfigurationOutput } from "./types/PutBucketLifecycleConfigurationOutput";
import { PutBucketLifecycleInput } from "./types/PutBucketLifecycleInput";
import { PutBucketLifecycleOutput } from "./types/PutBucketLifecycleOutput";
import { PutBucketLoggingInput } from "./types/PutBucketLoggingInput";
import { PutBucketLoggingOutput } from "./types/PutBucketLoggingOutput";
import { PutBucketMetricsConfigurationInput } from "./types/PutBucketMetricsConfigurationInput";
import { PutBucketMetricsConfigurationOutput } from "./types/PutBucketMetricsConfigurationOutput";
import { PutBucketNotificationConfigurationInput } from "./types/PutBucketNotificationConfigurationInput";
import { PutBucketNotificationConfigurationOutput } from "./types/PutBucketNotificationConfigurationOutput";
import { PutBucketNotificationInput } from "./types/PutBucketNotificationInput";
import { PutBucketNotificationOutput } from "./types/PutBucketNotificationOutput";
import { PutBucketPolicyInput } from "./types/PutBucketPolicyInput";
import { PutBucketPolicyOutput } from "./types/PutBucketPolicyOutput";
import { PutBucketReplicationInput } from "./types/PutBucketReplicationInput";
import { PutBucketReplicationOutput } from "./types/PutBucketReplicationOutput";
import { PutBucketRequestPaymentInput } from "./types/PutBucketRequestPaymentInput";
import { PutBucketRequestPaymentOutput } from "./types/PutBucketRequestPaymentOutput";
import { PutBucketTaggingInput } from "./types/PutBucketTaggingInput";
import { PutBucketTaggingOutput } from "./types/PutBucketTaggingOutput";
import { PutBucketVersioningInput } from "./types/PutBucketVersioningInput";
import { PutBucketVersioningOutput } from "./types/PutBucketVersioningOutput";
import { PutBucketWebsiteInput } from "./types/PutBucketWebsiteInput";
import { PutBucketWebsiteOutput } from "./types/PutBucketWebsiteOutput";
import { PutObjectAclInput } from "./types/PutObjectAclInput";
import { PutObjectAclOutput } from "./types/PutObjectAclOutput";
import { PutObjectInput } from "./types/PutObjectInput";
import { PutObjectOutput } from "./types/PutObjectOutput";
import { PutObjectTaggingInput } from "./types/PutObjectTaggingInput";
import { PutObjectTaggingOutput } from "./types/PutObjectTaggingOutput";
import { RestoreObjectInput } from "./types/RestoreObjectInput";
import { RestoreObjectOutput } from "./types/RestoreObjectOutput";
import { SelectObjectContentInput } from "./types/SelectObjectContentInput";
import { SelectObjectContentOutput } from "./types/SelectObjectContentOutput";
import { UploadPartCopyInput } from "./types/UploadPartCopyInput";
import { UploadPartCopyOutput } from "./types/UploadPartCopyOutput";
import { UploadPartInput } from "./types/UploadPartInput";
import { UploadPartOutput } from "./types/UploadPartOutput";
export declare class S3 extends S3Client {
    /**
     * <p>Aborts a multipart upload.</p> <p>To verify that all parts have been removed, so you don't get charged for the part storage, you should call the List Parts operation and ensure the parts list is empty.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NoSuchUpload} <p>The specified multipart upload does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    abortMultipartUpload(args: AbortMultipartUploadInput): Promise<AbortMultipartUploadOutput>;
    abortMultipartUpload(args: AbortMultipartUploadInput, cb: (err: any, data?: AbortMultipartUploadOutput) => void): void;
    /**
     * <p>Completes a multipart upload by assembling previously uploaded parts.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    completeMultipartUpload(args: CompleteMultipartUploadInput): Promise<CompleteMultipartUploadOutput>;
    completeMultipartUpload(args: CompleteMultipartUploadInput, cb: (err: any, data?: CompleteMultipartUploadOutput) => void): void;
    /**
     * <p>Creates a copy of an object that is already stored in Amazon S3.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ObjectNotInActiveTierError} <p>The source object of the COPY operation is not in the active tier and is only stored in Amazon Glacier.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    copyObject(args: CopyObjectInput): Promise<CopyObjectOutput>;
    copyObject(args: CopyObjectInput, cb: (err: any, data?: CopyObjectOutput) => void): void;
    /**
     * <p>Creates a new bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BucketAlreadyExists} <p>The requested bucket name is not available. The bucket namespace is shared by all users of the system. Please select a different name and try again.</p>
     *   - {BucketAlreadyOwnedByYou} BucketAlreadyOwnedByYou shape
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createBucket(args: CreateBucketInput): Promise<CreateBucketOutput>;
    createBucket(args: CreateBucketInput, cb: (err: any, data?: CreateBucketOutput) => void): void;
    /**
     * <p>Initiates a multipart upload and returns an upload ID.</p> <p> <b>Note:</b> After you initiate multipart upload and upload one or more parts, you must either complete or abort multipart upload in order to stop getting charged for storage of the uploaded parts. Only after you either complete or abort multipart upload, Amazon S3 frees up the parts storage and stops charging you for the parts storage.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createMultipartUpload(args: CreateMultipartUploadInput): Promise<CreateMultipartUploadOutput>;
    createMultipartUpload(args: CreateMultipartUploadInput, cb: (err: any, data?: CreateMultipartUploadOutput) => void): void;
    /**
     * <p>Deletes the bucket. All objects (including all object versions and Delete Markers) in the bucket must be deleted before the bucket itself can be deleted.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucket(args: DeleteBucketInput): Promise<DeleteBucketOutput>;
    deleteBucket(args: DeleteBucketInput, cb: (err: any, data?: DeleteBucketOutput) => void): void;
    /**
     * <p>Deletes an analytics configuration for the bucket (specified by the analytics configuration ID).</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketAnalyticsConfiguration(args: DeleteBucketAnalyticsConfigurationInput): Promise<DeleteBucketAnalyticsConfigurationOutput>;
    deleteBucketAnalyticsConfiguration(args: DeleteBucketAnalyticsConfigurationInput, cb: (err: any, data?: DeleteBucketAnalyticsConfigurationOutput) => void): void;
    /**
     * <p>Deletes the cors configuration information set for the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketCors(args: DeleteBucketCorsInput): Promise<DeleteBucketCorsOutput>;
    deleteBucketCors(args: DeleteBucketCorsInput, cb: (err: any, data?: DeleteBucketCorsOutput) => void): void;
    /**
     * <p>Deletes the server-side encryption configuration from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketEncryption(args: DeleteBucketEncryptionInput): Promise<DeleteBucketEncryptionOutput>;
    deleteBucketEncryption(args: DeleteBucketEncryptionInput, cb: (err: any, data?: DeleteBucketEncryptionOutput) => void): void;
    /**
     * <p>Deletes an inventory configuration (identified by the inventory ID) from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketInventoryConfiguration(args: DeleteBucketInventoryConfigurationInput): Promise<DeleteBucketInventoryConfigurationOutput>;
    deleteBucketInventoryConfiguration(args: DeleteBucketInventoryConfigurationInput, cb: (err: any, data?: DeleteBucketInventoryConfigurationOutput) => void): void;
    /**
     * <p>Deletes the lifecycle configuration from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketLifecycle(args: DeleteBucketLifecycleInput): Promise<DeleteBucketLifecycleOutput>;
    deleteBucketLifecycle(args: DeleteBucketLifecycleInput, cb: (err: any, data?: DeleteBucketLifecycleOutput) => void): void;
    /**
     * <p>Deletes a metrics configuration (specified by the metrics configuration ID) from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketMetricsConfiguration(args: DeleteBucketMetricsConfigurationInput): Promise<DeleteBucketMetricsConfigurationOutput>;
    deleteBucketMetricsConfiguration(args: DeleteBucketMetricsConfigurationInput, cb: (err: any, data?: DeleteBucketMetricsConfigurationOutput) => void): void;
    /**
     * <p>Deletes the policy from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketPolicy(args: DeleteBucketPolicyInput): Promise<DeleteBucketPolicyOutput>;
    deleteBucketPolicy(args: DeleteBucketPolicyInput, cb: (err: any, data?: DeleteBucketPolicyOutput) => void): void;
    /**
     * <p>Deletes the replication configuration from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketReplication(args: DeleteBucketReplicationInput): Promise<DeleteBucketReplicationOutput>;
    deleteBucketReplication(args: DeleteBucketReplicationInput, cb: (err: any, data?: DeleteBucketReplicationOutput) => void): void;
    /**
     * <p>Deletes the tags from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketTagging(args: DeleteBucketTaggingInput): Promise<DeleteBucketTaggingOutput>;
    deleteBucketTagging(args: DeleteBucketTaggingInput, cb: (err: any, data?: DeleteBucketTaggingOutput) => void): void;
    /**
     * <p>This operation removes the website configuration from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBucketWebsite(args: DeleteBucketWebsiteInput): Promise<DeleteBucketWebsiteOutput>;
    deleteBucketWebsite(args: DeleteBucketWebsiteInput, cb: (err: any, data?: DeleteBucketWebsiteOutput) => void): void;
    /**
     * <p>Removes the null version (if there is one) of an object and inserts a delete marker, which becomes the latest version of the object. If there isn't a null version, Amazon S3 does not remove any objects.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteObject(args: DeleteObjectInput): Promise<DeleteObjectOutput>;
    deleteObject(args: DeleteObjectInput, cb: (err: any, data?: DeleteObjectOutput) => void): void;
    /**
     * <p>Removes the tag-set from an existing object.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteObjectTagging(args: DeleteObjectTaggingInput): Promise<DeleteObjectTaggingOutput>;
    deleteObjectTagging(args: DeleteObjectTaggingInput, cb: (err: any, data?: DeleteObjectTaggingOutput) => void): void;
    /**
     * <p>This operation enables you to delete multiple objects from a bucket using a single HTTP request. You may specify up to 1000 keys.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteObjects(args: DeleteObjectsInput): Promise<DeleteObjectsOutput>;
    deleteObjects(args: DeleteObjectsInput, cb: (err: any, data?: DeleteObjectsOutput) => void): void;
    /**
     * <p>Returns the accelerate configuration of a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketAccelerateConfiguration(args: GetBucketAccelerateConfigurationInput): Promise<GetBucketAccelerateConfigurationOutput>;
    getBucketAccelerateConfiguration(args: GetBucketAccelerateConfigurationInput, cb: (err: any, data?: GetBucketAccelerateConfigurationOutput) => void): void;
    /**
     * <p>Gets the access control policy for the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketAcl(args: GetBucketAclInput): Promise<GetBucketAclOutput>;
    getBucketAcl(args: GetBucketAclInput, cb: (err: any, data?: GetBucketAclOutput) => void): void;
    /**
     * <p>Gets an analytics configuration for the bucket (specified by the analytics configuration ID).</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketAnalyticsConfiguration(args: GetBucketAnalyticsConfigurationInput): Promise<GetBucketAnalyticsConfigurationOutput>;
    getBucketAnalyticsConfiguration(args: GetBucketAnalyticsConfigurationInput, cb: (err: any, data?: GetBucketAnalyticsConfigurationOutput) => void): void;
    /**
     * <p>Returns the cors configuration for the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketCors(args: GetBucketCorsInput): Promise<GetBucketCorsOutput>;
    getBucketCors(args: GetBucketCorsInput, cb: (err: any, data?: GetBucketCorsOutput) => void): void;
    /**
     * <p>Returns the server-side encryption configuration of a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketEncryption(args: GetBucketEncryptionInput): Promise<GetBucketEncryptionOutput>;
    getBucketEncryption(args: GetBucketEncryptionInput, cb: (err: any, data?: GetBucketEncryptionOutput) => void): void;
    /**
     * <p>Returns an inventory configuration (identified by the inventory ID) from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketInventoryConfiguration(args: GetBucketInventoryConfigurationInput): Promise<GetBucketInventoryConfigurationOutput>;
    getBucketInventoryConfiguration(args: GetBucketInventoryConfigurationInput, cb: (err: any, data?: GetBucketInventoryConfigurationOutput) => void): void;
    /**
     * <p>Deprecated, see the GetBucketLifecycleConfiguration operation.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketLifecycle(args: GetBucketLifecycleInput): Promise<GetBucketLifecycleOutput>;
    getBucketLifecycle(args: GetBucketLifecycleInput, cb: (err: any, data?: GetBucketLifecycleOutput) => void): void;
    /**
     * <p>Returns the lifecycle configuration information set on the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketLifecycleConfiguration(args: GetBucketLifecycleConfigurationInput): Promise<GetBucketLifecycleConfigurationOutput>;
    getBucketLifecycleConfiguration(args: GetBucketLifecycleConfigurationInput, cb: (err: any, data?: GetBucketLifecycleConfigurationOutput) => void): void;
    /**
     * <p>Returns the region the bucket resides in.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketLocation(args: GetBucketLocationInput): Promise<GetBucketLocationOutput>;
    getBucketLocation(args: GetBucketLocationInput, cb: (err: any, data?: GetBucketLocationOutput) => void): void;
    /**
     * <p>Returns the logging status of a bucket and the permissions users have to view and modify that status. To use GET, you must be the bucket owner.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketLogging(args: GetBucketLoggingInput): Promise<GetBucketLoggingOutput>;
    getBucketLogging(args: GetBucketLoggingInput, cb: (err: any, data?: GetBucketLoggingOutput) => void): void;
    /**
     * <p>Gets a metrics configuration (specified by the metrics configuration ID) from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketMetricsConfiguration(args: GetBucketMetricsConfigurationInput): Promise<GetBucketMetricsConfigurationOutput>;
    getBucketMetricsConfiguration(args: GetBucketMetricsConfigurationInput, cb: (err: any, data?: GetBucketMetricsConfigurationOutput) => void): void;
    /**
     * <p>Deprecated, see the GetBucketNotificationConfiguration operation.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketNotification(args: GetBucketNotificationInput): Promise<GetBucketNotificationOutput>;
    getBucketNotification(args: GetBucketNotificationInput, cb: (err: any, data?: GetBucketNotificationOutput) => void): void;
    /**
     * <p>Returns the notification configuration of a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketNotificationConfiguration(args: GetBucketNotificationConfigurationInput): Promise<GetBucketNotificationConfigurationOutput>;
    getBucketNotificationConfiguration(args: GetBucketNotificationConfigurationInput, cb: (err: any, data?: GetBucketNotificationConfigurationOutput) => void): void;
    /**
     * <p>Returns the policy of a specified bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketPolicy(args: GetBucketPolicyInput): Promise<GetBucketPolicyOutput>;
    getBucketPolicy(args: GetBucketPolicyInput, cb: (err: any, data?: GetBucketPolicyOutput) => void): void;
    /**
     * <p>Returns the replication configuration of a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketReplication(args: GetBucketReplicationInput): Promise<GetBucketReplicationOutput>;
    getBucketReplication(args: GetBucketReplicationInput, cb: (err: any, data?: GetBucketReplicationOutput) => void): void;
    /**
     * <p>Returns the request payment configuration of a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketRequestPayment(args: GetBucketRequestPaymentInput): Promise<GetBucketRequestPaymentOutput>;
    getBucketRequestPayment(args: GetBucketRequestPaymentInput, cb: (err: any, data?: GetBucketRequestPaymentOutput) => void): void;
    /**
     * <p>Returns the tag set associated with the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketTagging(args: GetBucketTaggingInput): Promise<GetBucketTaggingOutput>;
    getBucketTagging(args: GetBucketTaggingInput, cb: (err: any, data?: GetBucketTaggingOutput) => void): void;
    /**
     * <p>Returns the versioning state of a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketVersioning(args: GetBucketVersioningInput): Promise<GetBucketVersioningOutput>;
    getBucketVersioning(args: GetBucketVersioningInput, cb: (err: any, data?: GetBucketVersioningOutput) => void): void;
    /**
     * <p>Returns the website configuration for a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBucketWebsite(args: GetBucketWebsiteInput): Promise<GetBucketWebsiteOutput>;
    getBucketWebsite(args: GetBucketWebsiteInput, cb: (err: any, data?: GetBucketWebsiteOutput) => void): void;
    /**
     * <p>Retrieves objects from Amazon S3.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NoSuchKey} <p>The specified key does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getObject(args: GetObjectInput): Promise<GetObjectOutput>;
    getObject(args: GetObjectInput, cb: (err: any, data?: GetObjectOutput) => void): void;
    /**
     * <p>Returns the access control list (ACL) of an object.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NoSuchKey} <p>The specified key does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getObjectAcl(args: GetObjectAclInput): Promise<GetObjectAclOutput>;
    getObjectAcl(args: GetObjectAclInput, cb: (err: any, data?: GetObjectAclOutput) => void): void;
    /**
     * <p>Returns the tag-set of an object.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getObjectTagging(args: GetObjectTaggingInput): Promise<GetObjectTaggingOutput>;
    getObjectTagging(args: GetObjectTaggingInput, cb: (err: any, data?: GetObjectTaggingOutput) => void): void;
    /**
     * <p>Return torrent files from a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getObjectTorrent(args: GetObjectTorrentInput): Promise<GetObjectTorrentOutput>;
    getObjectTorrent(args: GetObjectTorrentInput, cb: (err: any, data?: GetObjectTorrentOutput) => void): void;
    /**
     * <p>This operation is useful to determine if a bucket exists and you have permission to access it.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NoSuchBucket} <p>The specified bucket does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    headBucket(args: HeadBucketInput): Promise<HeadBucketOutput>;
    headBucket(args: HeadBucketInput, cb: (err: any, data?: HeadBucketOutput) => void): void;
    /**
     * <p>The HEAD operation retrieves metadata from an object without returning the object itself. This operation is useful if you're only interested in an object's metadata. To use HEAD, you must have READ access to the object.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NoSuchKey} <p>The specified key does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    headObject(args: HeadObjectInput): Promise<HeadObjectOutput>;
    headObject(args: HeadObjectInput, cb: (err: any, data?: HeadObjectOutput) => void): void;
    /**
     * <p>Lists the analytics configurations for the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listBucketAnalyticsConfigurations(args: ListBucketAnalyticsConfigurationsInput): Promise<ListBucketAnalyticsConfigurationsOutput>;
    listBucketAnalyticsConfigurations(args: ListBucketAnalyticsConfigurationsInput, cb: (err: any, data?: ListBucketAnalyticsConfigurationsOutput) => void): void;
    /**
     * <p>Returns a list of inventory configurations for the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listBucketInventoryConfigurations(args: ListBucketInventoryConfigurationsInput): Promise<ListBucketInventoryConfigurationsOutput>;
    listBucketInventoryConfigurations(args: ListBucketInventoryConfigurationsInput, cb: (err: any, data?: ListBucketInventoryConfigurationsOutput) => void): void;
    /**
     * <p>Lists the metrics configurations for the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listBucketMetricsConfigurations(args: ListBucketMetricsConfigurationsInput): Promise<ListBucketMetricsConfigurationsOutput>;
    listBucketMetricsConfigurations(args: ListBucketMetricsConfigurationsInput, cb: (err: any, data?: ListBucketMetricsConfigurationsOutput) => void): void;
    /**
     * <p>Returns a list of all buckets owned by the authenticated sender of the request.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listBuckets(args: ListBucketsInput): Promise<ListBucketsOutput>;
    listBuckets(args: ListBucketsInput, cb: (err: any, data?: ListBucketsOutput) => void): void;
    /**
     * <p>This operation lists in-progress multipart uploads.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listMultipartUploads(args: ListMultipartUploadsInput): Promise<ListMultipartUploadsOutput>;
    listMultipartUploads(args: ListMultipartUploadsInput, cb: (err: any, data?: ListMultipartUploadsOutput) => void): void;
    /**
     * <p>Returns metadata about all of the versions of objects in a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listObjectVersions(args: ListObjectVersionsInput): Promise<ListObjectVersionsOutput>;
    listObjectVersions(args: ListObjectVersionsInput, cb: (err: any, data?: ListObjectVersionsOutput) => void): void;
    /**
     * <p>Returns some or all (up to 1000) of the objects in a bucket. You can use the request parameters as selection criteria to return a subset of the objects in a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NoSuchBucket} <p>The specified bucket does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listObjects(args: ListObjectsInput): Promise<ListObjectsOutput>;
    listObjects(args: ListObjectsInput, cb: (err: any, data?: ListObjectsOutput) => void): void;
    /**
     * <p>Returns some or all (up to 1000) of the objects in a bucket. You can use the request parameters as selection criteria to return a subset of the objects in a bucket. Note: ListObjectsV2 is the revised List Objects API and we recommend you use this revised API for new application development.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NoSuchBucket} <p>The specified bucket does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listObjectsV2(args: ListObjectsV2Input): Promise<ListObjectsV2Output>;
    listObjectsV2(args: ListObjectsV2Input, cb: (err: any, data?: ListObjectsV2Output) => void): void;
    /**
     * <p>Lists the parts that have been uploaded for a specific multipart upload.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listParts(args: ListPartsInput): Promise<ListPartsOutput>;
    listParts(args: ListPartsInput, cb: (err: any, data?: ListPartsOutput) => void): void;
    /**
     * <p>Sets the accelerate configuration of an existing bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketAccelerateConfiguration(args: PutBucketAccelerateConfigurationInput): Promise<PutBucketAccelerateConfigurationOutput>;
    putBucketAccelerateConfiguration(args: PutBucketAccelerateConfigurationInput, cb: (err: any, data?: PutBucketAccelerateConfigurationOutput) => void): void;
    /**
     * <p>Sets the permissions on a bucket using access control lists (ACL).</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketAcl(args: PutBucketAclInput): Promise<PutBucketAclOutput>;
    putBucketAcl(args: PutBucketAclInput, cb: (err: any, data?: PutBucketAclOutput) => void): void;
    /**
     * <p>Sets an analytics configuration for the bucket (specified by the analytics configuration ID).</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketAnalyticsConfiguration(args: PutBucketAnalyticsConfigurationInput): Promise<PutBucketAnalyticsConfigurationOutput>;
    putBucketAnalyticsConfiguration(args: PutBucketAnalyticsConfigurationInput, cb: (err: any, data?: PutBucketAnalyticsConfigurationOutput) => void): void;
    /**
     * <p>Sets the cors configuration for a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketCors(args: PutBucketCorsInput): Promise<PutBucketCorsOutput>;
    putBucketCors(args: PutBucketCorsInput, cb: (err: any, data?: PutBucketCorsOutput) => void): void;
    /**
     * <p>Creates a new server-side encryption configuration (or replaces an existing one, if present).</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketEncryption(args: PutBucketEncryptionInput): Promise<PutBucketEncryptionOutput>;
    putBucketEncryption(args: PutBucketEncryptionInput, cb: (err: any, data?: PutBucketEncryptionOutput) => void): void;
    /**
     * <p>Adds an inventory configuration (identified by the inventory ID) from the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketInventoryConfiguration(args: PutBucketInventoryConfigurationInput): Promise<PutBucketInventoryConfigurationOutput>;
    putBucketInventoryConfiguration(args: PutBucketInventoryConfigurationInput, cb: (err: any, data?: PutBucketInventoryConfigurationOutput) => void): void;
    /**
     * <p>Deprecated, see the PutBucketLifecycleConfiguration operation.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketLifecycle(args: PutBucketLifecycleInput): Promise<PutBucketLifecycleOutput>;
    putBucketLifecycle(args: PutBucketLifecycleInput, cb: (err: any, data?: PutBucketLifecycleOutput) => void): void;
    /**
     * <p>Sets lifecycle configuration for your bucket. If a lifecycle configuration exists, it replaces it.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketLifecycleConfiguration(args: PutBucketLifecycleConfigurationInput): Promise<PutBucketLifecycleConfigurationOutput>;
    putBucketLifecycleConfiguration(args: PutBucketLifecycleConfigurationInput, cb: (err: any, data?: PutBucketLifecycleConfigurationOutput) => void): void;
    /**
     * <p>Set the logging parameters for a bucket and to specify permissions for who can view and modify the logging parameters. To set the logging status of a bucket, you must be the bucket owner.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketLogging(args: PutBucketLoggingInput): Promise<PutBucketLoggingOutput>;
    putBucketLogging(args: PutBucketLoggingInput, cb: (err: any, data?: PutBucketLoggingOutput) => void): void;
    /**
     * <p>Sets a metrics configuration (specified by the metrics configuration ID) for the bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketMetricsConfiguration(args: PutBucketMetricsConfigurationInput): Promise<PutBucketMetricsConfigurationOutput>;
    putBucketMetricsConfiguration(args: PutBucketMetricsConfigurationInput, cb: (err: any, data?: PutBucketMetricsConfigurationOutput) => void): void;
    /**
     * <p>Deprecated, see the PutBucketNotificationConfiguraiton operation.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketNotification(args: PutBucketNotificationInput): Promise<PutBucketNotificationOutput>;
    putBucketNotification(args: PutBucketNotificationInput, cb: (err: any, data?: PutBucketNotificationOutput) => void): void;
    /**
     * <p>Enables notifications of specified events for a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketNotificationConfiguration(args: PutBucketNotificationConfigurationInput): Promise<PutBucketNotificationConfigurationOutput>;
    putBucketNotificationConfiguration(args: PutBucketNotificationConfigurationInput, cb: (err: any, data?: PutBucketNotificationConfigurationOutput) => void): void;
    /**
     * <p>Replaces a policy on a bucket. If the bucket already has a policy, the one in this request completely replaces it.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketPolicy(args: PutBucketPolicyInput): Promise<PutBucketPolicyOutput>;
    putBucketPolicy(args: PutBucketPolicyInput, cb: (err: any, data?: PutBucketPolicyOutput) => void): void;
    /**
     * <p> Creates a new replication configuration (or replaces an existing one, if present). For more information, see <a href=" https://docs.aws.amazon.com/AmazonS3/latest/dev/crr.html">Cross-Region Replication (CRR)</a> in the Amazon S3 Developer Guide. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketReplication(args: PutBucketReplicationInput): Promise<PutBucketReplicationOutput>;
    putBucketReplication(args: PutBucketReplicationInput, cb: (err: any, data?: PutBucketReplicationOutput) => void): void;
    /**
     * <p>Sets the request payment configuration for a bucket. By default, the bucket owner pays for downloads from the bucket. This configuration parameter enables the bucket owner (only) to specify that the person requesting the download will be charged for the download. Documentation on requester pays buckets can be found at http://docs.aws.amazon.com/AmazonS3/latest/dev/RequesterPaysBuckets.html</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketRequestPayment(args: PutBucketRequestPaymentInput): Promise<PutBucketRequestPaymentOutput>;
    putBucketRequestPayment(args: PutBucketRequestPaymentInput, cb: (err: any, data?: PutBucketRequestPaymentOutput) => void): void;
    /**
     * <p>Sets the tags for a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketTagging(args: PutBucketTaggingInput): Promise<PutBucketTaggingOutput>;
    putBucketTagging(args: PutBucketTaggingInput, cb: (err: any, data?: PutBucketTaggingOutput) => void): void;
    /**
     * <p>Sets the versioning state of an existing bucket. To set the versioning state, you must be the bucket owner.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketVersioning(args: PutBucketVersioningInput): Promise<PutBucketVersioningOutput>;
    putBucketVersioning(args: PutBucketVersioningInput, cb: (err: any, data?: PutBucketVersioningOutput) => void): void;
    /**
     * <p>Set the website configuration for a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putBucketWebsite(args: PutBucketWebsiteInput): Promise<PutBucketWebsiteOutput>;
    putBucketWebsite(args: PutBucketWebsiteInput, cb: (err: any, data?: PutBucketWebsiteOutput) => void): void;
    /**
     * <p>Adds an object to a bucket.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putObject(args: PutObjectInput): Promise<PutObjectOutput>;
    putObject(args: PutObjectInput, cb: (err: any, data?: PutObjectOutput) => void): void;
    /**
     * <p>uses the acl subresource to set the access control list (ACL) permissions for an object that already exists in a bucket</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NoSuchKey} <p>The specified key does not exist.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putObjectAcl(args: PutObjectAclInput): Promise<PutObjectAclOutput>;
    putObjectAcl(args: PutObjectAclInput, cb: (err: any, data?: PutObjectAclOutput) => void): void;
    /**
     * <p>Sets the supplied tag-set to an object that already exists in a bucket</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putObjectTagging(args: PutObjectTaggingInput): Promise<PutObjectTaggingOutput>;
    putObjectTagging(args: PutObjectTaggingInput, cb: (err: any, data?: PutObjectTaggingOutput) => void): void;
    /**
     * <p>Restores an archived copy of an object back into Amazon S3</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ObjectAlreadyInActiveTierError} <p>This operation is not allowed against this storage tier</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    restoreObject(args: RestoreObjectInput): Promise<RestoreObjectOutput>;
    restoreObject(args: RestoreObjectInput, cb: (err: any, data?: RestoreObjectOutput) => void): void;
    /**
     * <p>This operation filters the contents of an Amazon S3 object based on a simple Structured Query Language (SQL) statement. In the request, along with the SQL expression, you must also specify a data serialization format (JSON or CSV) of the object. Amazon S3 uses this to parse object data into records, and returns only records that match the specified SQL expression. You must also specify the data serialization format for the response.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    selectObjectContent(args: SelectObjectContentInput): Promise<SelectObjectContentOutput>;
    selectObjectContent(args: SelectObjectContentInput, cb: (err: any, data?: SelectObjectContentOutput) => void): void;
    /**
     * <p>Uploads a part in a multipart upload.</p> <p> <b>Note:</b> After you initiate multipart upload and upload one or more parts, you must either complete or abort multipart upload in order to stop getting charged for storage of the uploaded parts. Only after you either complete or abort multipart upload, Amazon S3 frees up the parts storage and stops charging you for the parts storage.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    uploadPart(args: UploadPartInput): Promise<UploadPartOutput>;
    uploadPart(args: UploadPartInput, cb: (err: any, data?: UploadPartOutput) => void): void;
    /**
     * <p>Uploads a part by copying data from an existing object as data source.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    uploadPartCopy(args: UploadPartCopyInput): Promise<UploadPartCopyOutput>;
    uploadPartCopy(args: UploadPartCopyInput, cb: (err: any, data?: UploadPartCopyOutput) => void): void;
}
