/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AbortMultipartUploadInput } from "../types/AbortMultipartUploadInput";
import { AbortMultipartUploadOutput } from "../types/AbortMultipartUploadOutput";
import { S3ResolvedConfiguration } from "../S3Configuration";
export * from "../types/AbortMultipartUploadInput";
export * from "../types/AbortMultipartUploadOutput";
export * from "../types/AbortMultipartUploadExceptionsUnion";
export declare class AbortMultipartUploadCommand implements __aws_sdk_types.Command<InputTypesUnion, AbortMultipartUploadInput, OutputTypesUnion, AbortMultipartUploadOutput, S3ResolvedConfiguration, _stream.Readable> {
    readonly input: AbortMultipartUploadInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AbortMultipartUploadInput, AbortMultipartUploadOutput, _stream.Readable>;
    constructor(input: AbortMultipartUploadInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: S3ResolvedConfiguration): __aws_sdk_types.Handler<AbortMultipartUploadInput, AbortMultipartUploadOutput>;
}
