/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CopyObjectInput } from "../types/CopyObjectInput";
import { CopyObjectOutput } from "../types/CopyObjectOutput";
import { S3ResolvedConfiguration } from "../S3Configuration";
export * from "../types/CopyObjectInput";
export * from "../types/CopyObjectOutput";
export * from "../types/CopyObjectExceptionsUnion";
export declare class CopyObjectCommand implements __aws_sdk_types.Command<InputTypesUnion, CopyObjectInput, OutputTypesUnion, CopyObjectOutput, S3ResolvedConfiguration, _stream.Readable> {
    readonly input: CopyObjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CopyObjectInput, CopyObjectOutput, _stream.Readable>;
    constructor(input: CopyObjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: S3ResolvedConfiguration): __aws_sdk_types.Handler<CopyObjectInput, CopyObjectOutput>;
}
