/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateBucketInput } from "../types/CreateBucketInput";
import { CreateBucketOutput } from "../types/CreateBucketOutput";
import { S3ResolvedConfiguration } from "../S3Configuration";
export * from "../types/CreateBucketInput";
export * from "../types/CreateBucketOutput";
export * from "../types/CreateBucketExceptionsUnion";
export declare class CreateBucketCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateBucketInput, OutputTypesUnion, CreateBucketOutput, S3ResolvedConfiguration, _stream.Readable> {
    readonly input: CreateBucketInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateBucketInput, CreateBucketOutput, _stream.Readable>;
    constructor(input: CreateBucketInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: S3ResolvedConfiguration): __aws_sdk_types.Handler<CreateBucketInput, CreateBucketOutput>;
}
