/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetObjectInput } from "../types/GetObjectInput";
import { GetObjectOutput } from "../types/GetObjectOutput";
import { S3ResolvedConfiguration } from "../S3Configuration";
export * from "../types/GetObjectInput";
export * from "../types/GetObjectOutput";
export * from "../types/GetObjectExceptionsUnion";
export declare class GetObjectCommand implements __aws_sdk_types.Command<InputTypesUnion, GetObjectInput, OutputTypesUnion, GetObjectOutput, S3ResolvedConfiguration, _stream.Readable> {
    readonly input: GetObjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetObjectInput, GetObjectOutput<_stream.Readable>, _stream.Readable>;
    constructor(input: GetObjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: S3ResolvedConfiguration): __aws_sdk_types.Handler<GetObjectInput, GetObjectOutput>;
}
