/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetObjectTorrentInput } from "../types/GetObjectTorrentInput";
import { GetObjectTorrentOutput } from "../types/GetObjectTorrentOutput";
import { S3ResolvedConfiguration } from "../S3Configuration";
export * from "../types/GetObjectTorrentInput";
export * from "../types/GetObjectTorrentOutput";
export * from "../types/GetObjectTorrentExceptionsUnion";
export declare class GetObjectTorrentCommand implements __aws_sdk_types.Command<InputTypesUnion, GetObjectTorrentInput, OutputTypesUnion, GetObjectTorrentOutput, S3ResolvedConfiguration, _stream.Readable> {
    readonly input: GetObjectTorrentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetObjectTorrentInput, GetObjectTorrentOutput<_stream.Readable>, _stream.Readable>;
    constructor(input: GetObjectTorrentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: S3ResolvedConfiguration): __aws_sdk_types.Handler<GetObjectTorrentInput, GetObjectTorrentOutput>;
}
