/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListObjectsInput } from "../types/ListObjectsInput";
import { ListObjectsOutput } from "../types/ListObjectsOutput";
import { S3ResolvedConfiguration } from "../S3Configuration";
export * from "../types/ListObjectsInput";
export * from "../types/ListObjectsOutput";
export * from "../types/ListObjectsExceptionsUnion";
export declare class ListObjectsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListObjectsInput, OutputTypesUnion, ListObjectsOutput, S3ResolvedConfiguration, _stream.Readable> {
    readonly input: ListObjectsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListObjectsInput, ListObjectsOutput, _stream.Readable>;
    constructor(input: ListObjectsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: S3ResolvedConfiguration): __aws_sdk_types.Handler<ListObjectsInput, ListObjectsOutput>;
}
