/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutObjectInput } from "../types/PutObjectInput";
import { PutObjectOutput } from "../types/PutObjectOutput";
import { S3ResolvedConfiguration } from "../S3Configuration";
export * from "../types/PutObjectInput";
export * from "../types/PutObjectOutput";
export * from "../types/PutObjectExceptionsUnion";
export declare class PutObjectCommand implements __aws_sdk_types.Command<InputTypesUnion, PutObjectInput, OutputTypesUnion, PutObjectOutput, S3ResolvedConfiguration, _stream.Readable> {
    readonly input: PutObjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutObjectInput<_stream.Readable>, PutObjectOutput, _stream.Readable>;
    constructor(input: PutObjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: S3ResolvedConfiguration): __aws_sdk_types.Handler<PutObjectInput, PutObjectOutput>;
}
