/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UploadPartInput } from "../types/UploadPartInput";
import { UploadPartOutput } from "../types/UploadPartOutput";
import { S3ResolvedConfiguration } from "../S3Configuration";
export * from "../types/UploadPartInput";
export * from "../types/UploadPartOutput";
export * from "../types/UploadPartExceptionsUnion";
export declare class UploadPartCommand implements __aws_sdk_types.Command<InputTypesUnion, UploadPartInput, OutputTypesUnion, UploadPartOutput, S3ResolvedConfiguration, _stream.Readable> {
    readonly input: UploadPartInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UploadPartInput<_stream.Readable>, UploadPartOutput, _stream.Readable>;
    constructor(input: UploadPartInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: S3ResolvedConfiguration): __aws_sdk_types.Handler<UploadPartInput, UploadPartOutput>;
}
